Xerces-C++ 3.2.5

Public Member Functions | List of all members
BinFileInputStream Class Reference

`#include <xercesc/util/BinFileInputStream.hpp>`

Inheritance diagram for BinFileInputStream:

## Public Member Functions
| BinFileInputStream (const XMLCh *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const char *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const FileHandle toUse, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinFileInputStream ()
bool | getIsOpen () const
XMLFilePos | getSize () const
void | reset ()
virtual XMLFilePos | curPos () const
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
virtual const XMLCh * | getContentType () const
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.
Public Member Functions inherited from BinInputStream
virtual | ~BinInputStream ()
virtual const XMLCh * | getEncoding () const
| Return the "out-of-band" encoding for the data supplied by this input stream.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from BinInputStream
| BinInputStream ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ BinFileInputStream() [1/3]

BinFileInputStream::BinFileInputStream | ( | const XMLCh *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ BinFileInputStream() [2/3]

BinFileInputStream::BinFileInputStream | ( | const char *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ BinFileInputStream() [3/3]

BinFileInputStream::BinFileInputStream | ( | const FileHandle | toUse,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~BinFileInputStream()

virtual BinFileInputStream::~BinFileInputStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ curPos()

virtual XMLFilePos BinFileInputStream::curPos | ( |  | ) | const
| virtual

Implements BinInputStream.

## ◆ getContentType()

virtual const XMLCh * BinFileInputStream::getContentType | ( |  | ) | const
| virtual

Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

If no such content type is provided for the data, 0 is returned. This function is expected to return the correct value at any time after the construction of the stream.

An example of the stream that may return non-0 from this function is an HTTP stream with the value returned taken from the "Content-Type" HTTP header. Note also that if the encoding of the data is known to the application by some other means then the setEncoding function in the InputSource object should be used instead. The getContentType function should only be used to return information that is intrinsic to the stream.

Returns
  The content type, or 0 if one is not available.

Implements BinInputStream.

## ◆ getIsOpen()

bool BinFileInputStream::getIsOpen | ( |  | ) | const

References FileHandle, and XERCES_Invalid_File_Handle.

## ◆ getSize()

XMLFilePos BinFileInputStream::getSize | ( |  | ) | const

## ◆ readBytes()

virtual XMLSize_t BinFileInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const XMLSize_t | maxToRead
| ) |  |
| virtual

Implements BinInputStream.

## ◆ reset()

void BinFileInputStream::reset | ( |  | ) |

The documentation for this class was generated from the following file:

- BinFileInputStream.hpp